package com.oreilly.onjava.jmxexample;

import java.awt.Image;
import java.awt.Toolkit;
import java.awt.MediaTracker;
import java.awt.Graphics;
import javax.swing.JFrame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class ImageWindow extends JFrame
{
   private Image image;
   
   public ImageWindow(String imageFileName)
   {
      Toolkit toolkit = Toolkit.getDefaultToolkit();
      image = toolkit.getImage(imageFileName);
      MediaTracker mediaTracker = new MediaTracker(this);
      mediaTracker.addImage(image, 0);
      try
      {
         mediaTracker.waitForID(0);
      }
      catch (InterruptedException ie)
      {
         System.err.println(ie);
         System.exit(1);
      }
      this.setSize(image.getWidth(null), image.getHeight(null));
      this.setTitle(imageFileName);
      this.addWindowListener(new WindowAdapter(){
         public void windowClosing(WindowEvent e)
         {
            dispose();
         }
      });
      this.setVisible(true);
   }
   
   public void paint(Graphics graphics)
   {
      graphics.drawImage(image, 0, 0, null);
   }
}
